Botan 1.10.17

Namespaces | Functions
dsa_gen.cpp File Reference
`#include <botan/numthry.h>`
`#include <botan/algo_factory.h>`
`#include <botan/hash.h>`
`#include <botan/parsing.h>`
`#include <algorithm>`
`#include <memory>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
bool | Botan::generate_dsa_primes (RandomNumberGenerator &rng, Algorithm_Factory &af, BigInt &p, BigInt &q, size_t pbits, size_t qbits, const MemoryRegion< byte > &seed_c)
SecureVector< byte > | Botan::generate_dsa_primes (RandomNumberGenerator &rng, Algorithm_Factory &af, BigInt &p, BigInt &q, size_t pbits, size_t qbits)